/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * The {@link EnvironmentLoaderListener} is a context listener, which will be activated during the initialization of the application. It is used to initialize some
 * environment properties for the webgui.
 * 
 * @author Nils Christian Ehmke
 */
public class EnvironmentLoaderListener implements ServletContextListener {

	/**
	 * Creates a new instance of this class. <b>Do not call this constructor manually. It will only be accessed by the servlet container.</b>
	 */
	public EnvironmentLoaderListener() {
		// No code necessary
	}

	@Override
	public void contextDestroyed(final ServletContextEvent event) {
		// No code necessary
	}

	@Override
	public void contextInitialized(final ServletContextEvent event) {
		// Set the system property to make sure that the webgui logger will be used
		System.setProperty("kieker.common.logging.Log", "WEBGUI");
	}

}
